1. Symantec/
  2. Security Response/
  3. Attack Signatures/
  4. Attack: WikkaWiki CVE-2011-4451

Attack: WikkaWiki CVE-2011-4451

Severity: High

This attack could pose a serious security threat. You should take immediate action to stop any damage or prevent further damage from happening.

Description

This signature detects an attempt to exploit a PHP code injection vulnerability in WikkaWiki.

Additional Information

A PHP code injection vulnerability occurs because because the application fails to sanitize the input passed to the 'logSpam()' function of the 'libs/Wakka.class.php' script in the 'spamlog_path' file when 'INTRANET_MODE' is explicitly enabled.

Attackers can exploit these issues to modify the logic of SQL queries; upload, delete, or download arbitrary files; or inject and execute arbitrary PHP code in the context of the affected application. Other attacks may also be possible.

Affected

  • WikkaWiki 1.3.2
  • Twitter
  • Facebook
  • LinkedIn
  • Google+
  • YouTube